Bag of Scripts is a code library made for my mods, released as standalone so it can be easily updated to accommodate future mods (and other modders!).

## Changelog

1.0.0:
- Main release
- Added PistolBrace, PistolBraceToggle scripts; used to make toggleable pistol braces for one-handed shooting
- Added ToggleAnimation; simple interaction plays an object's animation back or forth, used as-is in other mods or with PistolBrace

1.1.0:
- Added PlaySoundOnLoadState; plays a sound either when the gun runs completely dry on ammo, or when the specified magazine is fully loaded
	* Only fill in the magazine or the firearm, not both!

1.2.0:
- Added NambuSear; allows you to fire the gun by clicking on a simple interaction zone, or by hitting a physics collider
- Added DropSlideOnMagRelease; causes the slide (or bolt) to release from its locked state when releasing a magazine

1.2.1:
- Removed debug messages from NambuSear
- Fixed DropSlideOnMagRelease applying to other guns

1.2.2:
- ACTUALLY removed debug messages from NambuSear

1.2.3:
- Included an editor version of the .dll for Meatkit

1.3.0:
- Added PermanentlyAttachedWeapon; prevents a specified attachable weapon from being detached
- Added ContinuousFiringSound; allows for a continuously firing sound when firing closed bolt weapons (support for open bolts and pistols coming later)

1.3.1:
- Removed debug messages from ContinuousFiringSound